Subject: Re: [PATCH v4 00/13] pack-objects: integrate --path-walk and some --filter options

From: Derrick Stolee <[email-masked]>
Date: Thu, 21 May 2026 19:01:33 -0400

On 5/19/26 7:53 PM, Taylor Blau wrote:
> On Wed, May 13, 2026 at 09:18:42PM +0000, Derrick Stolee via GitGitGadget wrote:
>> UPDATES IN V4
>> =============
>>
>> Thanks, Taylor for the careful review.
>>
>>   * Several typos are fixed.
>>   * The performance test is corrected for issues around piping Git commands
>>     and made more robust to the existence of submodules.
>>   * BIG: The tree:0 patch is significantly updated in this version. Taylor
>>     correctly smelled a problem with the new logic to emit the /tagged-trees
>>     object set, and that signaled that those trees were previously never
>>     emitted. I update the test to demonstrate that changing the data shape
>>     (including tagged trees that are otherwise-unreachable) doesn't change
>>     the test behavior, signaling a bug. The behavior change details all the
>>     complexities of visiting only directly-requested trees under a tree:0
>>     filter and recursing on all trees in other cases.
> 
> Thanks for the new round; I gave this a lighter pass since I had
> reviewed v3 in detail and the range-diff here looks good. I focused in
> on a few patches in particular, and left a couple of minor comments.
> 
> My main reservation is that the "path starts with a '/' slash character
> when directly requested" behavior feels brittle to me, and I am not sure
> if there is a cleaner way to express that.
> 
> I'm curious what your thoughts are there. I think barring that things
> are near-complete here, though I did note one issue with the t/perf
> changes (that is my fault for having a bad suggestion on the earlier
> round).

I like the suggested change to t/perf but I don't share your concerns
around the '/' character in the path (I go deeper into why in the
thread).

Thanks,
-Stolee